import {
  TextInput
} from "./chunk-H5MRGJQP.js";
import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-W7FAWX6T.js";

// src/components/SecretInput.tsx
import { useState } from "react";
import { jsx } from "@emotion/react/jsx-runtime";
function SecretInput(_a) {
  var rest = __objRest(_a, []);
  const [showSecret, setShowSecret] = useState(false);
  return /* @__PURE__ */ jsx(
    TextInput,
    __spreadProps(__spreadValues({}, rest), {
      type: showSecret ? void 0 : "password",
      onClickIcon: () => setShowSecret(!showSecret),
      icon: {
        name: showSecret ? "NotEye" : "Eye",
        width: 16
      }
    })
  );
}

export {
  SecretInput
};
